Name:          cmph
Version:       2.0
Release:       2%{?dist}
Summary:       Minimal hash C library
License:       MPLv1.1 or LGPLv2
URL:           http://cmph.sourceforge.net/
Source0:       http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

BuildRequires: libtool
BuildRequires: check-devel


%description
Cmph is a free minimal perfect hash C library, providing several algorithms
in the literature in a consistent, ease to use, API.


%package       devel
Summary:       Development files for Cmph library
Group:         Development/Libraries
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

# Fix sources permission
chmod -x src/*.{c,h}

# Honour RPM build flags
sed -e 's/-Wall/$CFLAGS/' -i configure.ac


%build
autoreconf -i --force

# --enable-cxxmph not used, build broken

%{configure} \
    --enable-check

make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/lib%{name}.{a,la}


%check
make check


%if 0%{?fedora} < 28 && 0%{?rhel} < 8
%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%endif


%files
%doc AUTHORS COPYING LGPL-2 MPL-1.1 README
%{_libdir}/lib%{name}.so.*
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files devel
%{_includedir}/%{name}*
%{_includedir}/chd_ph.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Feb 26 2018 Remi Collet <remi@feoraproject.org> - 2.0-2
- F28 cleanup

* Wed Oct  9 2013 Remi Collet <remi@feoraproject.org> - 2.0-1
- Initial package
